### Signal

# Gtk EventControllerFocus::enter

#### Declaration

    void
    enter (
      GtkEventControllerFocus self,
      gpointer user_data
    )

#### Description [src]

Emitted whenever the focus enters into the widget or one of its descendents.

Note that this means you may not get an ::enter signal even though the widget becomes the focus location, in certain cases (such as when the focus moves from a descendent of the widget to the widget itself). If you are interested in these cases, you can monitor the `GtkEventControllerFocus:is-focus` property for changes.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.